curl --request GET \
--url https://app.leadconduit.com/exports/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://app.leadconduit.com/exports/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://app.leadconduit.com/exports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "5fd4371e940df5a34a3888b2",
"created_at": "2023-11-07T05:31:56Z",
"status": "created",
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"filter_rules": [
{
"lhv": "<string>",
"op": "<string>",
"rhv": "<string>"
}
],
"email_to": [
"<string>"
],
"fields": [
"<string>"
],
"date_format": "standard",
"user": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"sso_id": "<string>"
},
"expires_at": "2023-11-07T05:31:56Z",
"reason": {
"message": "<string>"
},
"error": "<string>",
"exported_docs": 123,
"file_name": "<string>",
"downloads": [
{}
]
}{
"error": "Invalid ID"
}{
"error": "not authorized"
}Get an export
Fetch a single export, including its status and, once complete, the file_name and exported_docs count.
Authorizations
LeadConduit uses HTTP Basic Authentication
with the username API and your API key as the password.
For example: API:1f1b96c9150d8050e858c043d543bb4eadae0e6f'
Path Parameters
The ID of the export 24 character alpha-numeric BSON identifier
^[0-9a-fA-F]{24}$"5fd4371e940df5a34a3888b2"
Response
OK
An export job that produces a CSV of lead events for a given time range and field selection.
ID of this export
^[0-9a-fA-F]{24}$"5fd4371e940df5a34a3888b2"
When the export was requested.
Current state of the export job.
created, processing, complete, error, truncated Start of the time range covered by this export (inclusive).
End of the time range covered by this export (exclusive).
Rules used to filter the events included in the export.
Show child attributes
Show child attributes
Email addresses notified when the export completes.
Lead/event fields included in the resulting CSV.
Date format used in the resulting CSV.
standard, legacy User who requested the export.
Show child attributes
Show child attributes
When the export becomes unavailable for download.
Optional explanation when the status is truncated or error.
Show child attributes
Show child attributes
Error message when the status is error.
Number of lead/event records included in the resulting CSV.
Name of the resulting CSV file.
Audit log of users who have downloaded this export.